#!/bin/sh

# get version info from spec
VER_MAJOR=$(awk '/%global major/{print $NF}' jmc.spec)
VER_MINOR=$(awk '/%global minor/{print $NF}' jmc.spec)
VER_PATCH=$(awk '/%global patchlevel/{print $NF}' jmc.spec)
VERSION=$VER_MAJOR.$VER_MINOR.$VER_PATCH
HGREVHASH=$(awk '/%global hgrevhash/{print $NF}' jmc.spec)

# retrieve jmc tarball
wget http://hg.openjdk.java.net/jmc/jmc/archive/$HGREVHASH.tar.gz
tar xzf $HGREVHASH.tar.gz
rm $HGREVHASH.tar.gz
mv jmc-$HGREVHASH/ jmc-$VERSION/

# delete unnecessary core module
rm -r jmc-$VERSION/core/

# create jmc tarball
tar czf jmc-$VERSION.tar.gz jmc-$VERSION/
rm -r jmc-$VERSION
